# $Revision: 1.11.2.1 $, $Date: 2006/04/20 14:53:50 $
Summary:	Python 2D chemical structure drawing tool
Summary(pl):	Narzdzie do rysowania 2D struktur chemicznych
Name:		bkchem
Version:	0.9.0
Release:	5
License:	GPL
Group:		X11/Applications/Science
Source0:	http://zirael.org/bkchem/download/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
# Source0-md5:	85b89c905af843cb191cc6ab30fe3a4c
Patch0:		%{name}-reaction_mode.patch 
URL:		http://zirael.org/bkchem/index.html
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
Requires:	python
Requires:	python-devel-tools
Requires:	Pmw
Requires:	python-PyXML
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BKchem is a free (as in free software :o) chemical drawing program. It
was conceived and written by Beda Kosata. Supported file formats are
SVG and CML. The output looks best with the Adobe SVG viewer, but
sodipodi and batik do a reasonable job as well.

%description -l pl
BKchem to wolnodostpny program do rysunkw chemicznych. Jego
pomysodawc i autorem jest Beda Kosata. Obsugiwane formaty plikw to
SVG i CML. Wyjcie wyglda najlepiej pod przegldark SVG firmy Adobe,
ale sodipodi i batik take wywietlaj je sensownie.

%prep
%setup -q
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install images/icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/bkchem.png
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

#fix executable
sed -e "s@$RPM_BUILD_ROOT@@g" -i $RPM_BUILD_ROOT%{_bindir}/%{name}
sed -e "s@%{name}.py@%{name}.pyo@g" -i $RPM_BUILD_ROOT%{_bindir}/%{name}
sed -e "s@$RPM_BUILD_ROOT@@g" -i $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/site_config.py

%find_lang BKchem

%clean
rm -rf $RPM_BUILD_ROOT

%files -f BKchem.lang
%defattr(644,root,root,755)
%doc README RELEASE doc/html
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]
%{py_sitescriptdir}/%{name}/site_config.py
%{py_sitescriptdir}/%{name}/%{name}.py
%dir %{py_sitescriptdir}/%{name}/plugins
%{py_sitescriptdir}/%{name}/plugins/*.py[co]
%dir %{py_sitescriptdir}/%{name}/oasa
%{py_sitescriptdir}/%{name}/oasa/*.py[co]
%dir %{py_sitescriptdir}/%{name}/oasa/oasa/graph
%{py_sitescriptdir}/%{name}/oasa/oasa/graph/*.py[co]
%dir %{py_sitescriptdir}/%{name}/oasa/oasa
%{py_sitescriptdir}/%{name}/oasa/oasa/*.py[co]
%dir %{py_sitescriptdir}/%{name}/piddle
%dir %{py_sitescriptdir}/%{name}/piddle/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bkchem.spec,v $
Revision 1.11.2.1  2006/04/20 14:53:50  ankry
- rel. 5

Revision 1.11  2005/05/28 01:03:06  zbyniu
- BR: python

Revision 1.10  2004/12/23 16:55:31  saq
- release 4 for rebuild with python 2.4

Revision 1.9  2004/12/18 22:43:23  undefine
- yet one fix in patch0

Revision 1.8  2004/12/17 22:55:54  undefine
- ups, use patch0 ;)

Revision 1.7  2004/12/17 21:48:20  undefine
- patch to fix use with mouse by piti@jabber.uznam.net.pl
- release 2

Revision 1.6  2004/12/13 19:46:27  undefine
R: python-devel-tools

Revision 1.5  2004/12/08 08:51:14  qboosh
- fixed invalid usage of _iconsdir, killed trailing spaces

Revision 1.4  2004/12/07 21:24:38  undefine
- changes to 0.9.0 by piti

Revision 1.3  2004/11/15 22:24:24  undefine
- up to 0.8.1, desktop file and patch to use within oo by
  piti@jabber.uznam.net.pl

Revision 1.2  2004/10/08 08:46:28  qboosh
- pl desc, typo, cleanup

Revision 1.1  2004/10/02 22:26:14  undefine
- initital pld version partialy based on mdk spec
